Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier

Example:

"RiHO4e0Ju3DS"

Query Parameters

properties
enum<string>[]

Select the workspace properties that should be returned

Available options:
account.id,
name,
workspaceUrl,
templateId,
startDate,
targetEndDate,
actualEndDate,
projectAge,
taskProgress,
lastContactView,
totalViews,
totalActions,
totalTimeSpent,
contactsCount,
account.name,
account.website,
account.ownerId,
account.logo,
account.salesforceAccountId,
account.hubspotCompanyId,
account.createdAt,
account.updatedAt,
customFields.name,
customFields.type,
customFields.variableName,
customFields.value,
workspaceDomains.domain,
workspaceDomains.role,
workspaceDomains.createdAt,
workspaceDomains.updatedAt,
workspaceUsers.role,
workspaceUsers.createdAt,
workspaceUsers.updatedAt,
workspaceUsers.user.firstName,
workspaceUsers.user.lastName,
workspaceUsers.user.avatar,
workspaceUsers.user.email,
workspaceUsers.user.name,
workspaceUsers.user.createdAt,
workspaceUsers.user.updatedAt,
deal.name,
deal.amount,
deal.closeDate,
deal.createdDate,
deal.type,
deal.stage,
deal.hubspotDealId,
deal.salesforceOpportunityId,
id,
object,
url,
createdAt,
updatedAt,
workspaceDomains.id,
workspaceDomains.object,
workspaceDomains.url,
workspaceUsers.id,
workspaceUsers.object,
workspaceUsers.url,
workspaceUsers.user.id,
workspaceUsers.user.object,
workspaceUsers.user.url,
account.object,
account.url,
account.customFields.id,
account.customFields.object,
account.customFields.url,
account.customFields.createdAt,
account.customFields.updatedAt,
account.customFields.name,
account.customFields.variableName,
account.customFields.objectType,
account.customFields.type,
account.customFields.options.index,
account.customFields.options.label,
account.customFields.options.value,
account.customFields.value,
deal.id,
deal.object,
deal.url,
deal.createdAt,
deal.updatedAt,
deal.customFields.id,
deal.customFields.object,
deal.customFields.url,
deal.customFields.createdAt,
deal.customFields.updatedAt,
deal.customFields.name,
deal.customFields.variableName,
deal.customFields.objectType,
deal.customFields.type,
deal.customFields.options.index,
deal.customFields.options.label,
deal.customFields.options.value,
deal.customFields.value,
customFields.id,
customFields.object,
customFields.url,
customFields.createdAt,
customFields.updatedAt,
customFields.objectType,
customFields.options.index,
customFields.options.label,
customFields.options.value

Body

application/json
workspaceUsers
object[]
required

Users of the workspace. Supplying this array replaces the workspace's entire user list — include every user who should have access, as existing users omitted from the array are removed from the workspace.

Example:
workspaceDomains
object[]

Domains of the workspace. Supplying this array replaces the workspace's entire domain list — include every domain that should have access, as existing domains omitted from the array are removed from the workspace.

Example:
notifyPeople
boolean
default:false

Notify people for the workspace

message
string

Message to notify people

Example:

"You have been added to the workspace"

Response

Set workspace access

data
object